Bug 242359 - USB pendrive fails to mount
USB pendrive fails to mount
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
high Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-03 13:12 EDT by Andrea Musuruane
Modified: 2009-01-09 02:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:07:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Smolt profile of the Fedora 7 PC where I can reproduce bug. (7.40 KB, text/plain)
2007-06-29 07:42 EDT, Mikhail Kalenkov
no flags Details
Smolt profile of the Fedora 7 PC where I cannot reproduce bug. (6.51 KB, text/plain)
2007-06-29 07:44 EDT, Mikhail Kalenkov
no flags Details

  None (edit)
Description Andrea Musuruane 2007-06-03 13:12:55 EDT
Description of problem:
After upgrading from FC6 to F7 I am no longer able to mount any USB pendrive.
This worked on an FC6 with the latest updated kernel.

Version-Release number of selected component (if applicable):

How reproducible:
Always

Steps to Reproduce:
1. Plug in a USB pendrive
2.
3.
  
Actual results:
No icon is displayed on the desktop. Disk is not auto-mounted under /media/..

Expected results:
Pendrive should be mounted and icon should be displayed on the desktop

Additional info:

I got this in /var/log/messages:
Jun  3 18:58:00 localhost kernel: usb 3-4: new high speed USB device using
ehci_hcd and address 8
Jun  3 18:58:00 localhost kernel: usb 3-4: device descriptor read/64, error -71
Jun  3 18:58:00 localhost kernel: usb 3-4: device descriptor read/64, error -71
Jun  3 18:58:01 localhost kernel: usb 3-4: new high speed USB device using
ehci_hcd and address 9
Jun  3 18:58:01 localhost kernel: usb 3-4: device descriptor read/64, error -71
Jun  3 18:58:01 localhost kernel: usb 3-4: device descriptor read/64, error -71
Jun  3 18:58:01 localhost kernel: usb 3-4: new high speed USB device using
ehci_hcd and address 10
Jun  3 18:58:01 localhost kernel: usb 3-4: device not accepting address 10,
error -71
Jun  3 18:58:02 localhost kernel: usb 3-4: new high speed USB device using
ehci_hcd and address 11
Jun  3 18:58:02 localhost kernel: usb 3-4: device not accepting address 11,
error -71
Comment 1 Nick 2007-06-07 14:44:45 EDT
I'm seeing a very similar issue with a new install of F7 on an x86_64 machine.
This was a standard x86_64 install from DVD, with zero issues during install.
By default a normal user can't do anything with a newly inserted usb memory
stick. The device does not show up on the desktop, or is visible from the
command prompt using df -h.

Checking dmesg shows that the device has been found and assigned a new device
label, ie /dev/sdb1.

This can be resolved by adding an entry into the /etc/fstab file like so
/dev/sdb1               /media/512-stick        auto    noauto,user     0 0

but this has all the drawbacks associated with hard coding a dev in fstab.

Comment 2 Pete Zaitcev 2007-06-07 14:49:18 EDT
Nick, you problem is completely different. Please file a separate bug
against HAL, have David Zeuten take a look.
Comment 3 Ben Person 2007-06-08 16:06:01 EDT
After installing a fresh copy of F7 on i386 box from DVD the USB both 1.1 and 
2.0 devices are not automatically detected.  This worked fine in the FC6 
install.  I have tested on both the onboard USB 1.1 and PCI USB 2.0 connection 
with the same results.  At times I can hard power off the external USB drive 
and then power it back on and get F7 to recognize it.
Comment 4 Mike Hughes 2007-06-15 11:11:40 EDT
I get "not accepting address" with most of my USB storage devices, including
both backup hard drives and a flash music player. A couple of "thumb" drives are
intermittent; sometimes they work and sometimes they don't.  All worked
perfectly with FC6.  This is an AMD "Athlon" processor with an nVidia "nForce2"
system chip set and a ShuttleX system board. 
Comment 5 Stian Moltubakk 2007-06-16 08:44:53 EDT
I have noticed the same thing.
If I insert the USB stick it mounts and pop up on the desktop.
If I start the computer with the memorystick inserted it will not mount.
Comment 6 Mike Hughes 2007-06-17 11:07:44 EDT
It appears to be the faster devices which do not work.  My camera, which is USB
1.0 is reliable.  A thumb drive which is USB 2.0 but slow works most of the time
but not always.  Another thumb drive and a flash music player which have much
higher transfer rates never work and neither of my external hard drives ever
work.  These all worked under FC6 with the same hardware.
Comment 7 Nick 2007-06-19 13:39:20 EDT
Pete, just to update you, that using the latest X86_64 kernel
2.6.21-1.3228.fc7 #1 SMP Tue Jun 12 14:56:37 EDT 2007 x86_64 x86_64 x86_64 GNU/Linux

Has cured this problem on this machine. I know this bug is for i686, but as I
input my original findings here, it makes sense to put the update here as well
for others who may find this information useful.
Comment 8 Pete Zaitcev 2007-06-19 14:16:27 EDT
Thanks, Nick.

BTW, a mental note:
[zaitcev@niphredil ~]$ grep USB_SUSPEND /boot/config-2.6.2*
/boot/config-2.6.21-1.3163.fc7:CONFIG_USB_SUSPEND=y
/boot/config-2.6.21-1.3209.fc8:CONFIG_USB_SUSPEND=y
/boot/config-2.6.21-1.3228.fc8:CONFIG_USB_SUSPEND=y

So this wasn't it. I am starting to suspect it may be the order of ehci_hcd
versus its companion. This is not related to the kernel version or confi-
guration and is set by mkinitrd.
Comment 9 Mikhail Kalenkov 2007-06-29 07:42:45 EDT
Created attachment 158198 [details]
Smolt profile of the Fedora 7 PC where I can reproduce bug.
Comment 10 Mikhail Kalenkov 2007-06-29 07:44:05 EDT
Created attachment 158199 [details]
Smolt profile of the Fedora 7 PC where I cannot reproduce bug.
Comment 11 Mikhail Kalenkov 2007-06-29 07:48:27 EDT
I have two Fedora 7 boxes. One of them just works fine, but on the second one I
can reproduce the bug. As a simple workaround I simply put line 

/sbin/modprobe -r ehci-hcd

at the end of the /etc/rc.local file.

Smolt profiles of my two PCs attached to two previous messages (Sorry. It was my
first bug report.).
Comment 12 Mike Hughes 2007-06-29 09:33:14 EDT
Confirm that "modprobe -r ehci-hcd" does enable the USB storage devices to work.
 I have not looked at side effects yet.
Comment 13 David L. 2007-07-01 15:49:37 EDT
I can also confirm "modprobe -r ehci-hcd" works, but my USB drives only get
automounted following a hard power down of the devices.

I'm using the x86 kernel  2.6.21-1.3228.fc7 #1 SMP Tue Jun 12 15:37:31 EDT 2007
i686 i686 i386 GNU/Linux
 
Comment 14 Mike Hughes 2007-07-01 17:48:51 EDT
Removing the "ehci-hcd" module appears to result in everything running as USB
1.0 with a low transfer rate.  The better work-around is probably to install the
last FC6 kernel (2.6.20-1.2692) which does not have the problem and appears to
be compatible with the rest of the software as far as I can tell.

Note that there are other problems which can affect the automount even if the
kernel is good.  This bug produces the "Device not accepting address" message
which can be seen by executing "tail /var/log/messages" (as root) a few seconds
after inserting the device.

Comment 15 Paul Richardson 2007-07-09 15:49:14 EDT
Upgrading to kernel "2.6.21-1.3255.fc7" located in testing seems to allow USB
hard disks to be mounted upon boot. See comments in 247348.
Comment 16 Mikhail Kalenkov 2007-07-15 06:18:03 EDT
!! Fairly simple workaround!

add "usbcore.autosuspend=0" (without the quotes) to the kernel command line in
grub.conf

Related bugs with the same workaround are 243038, 246713, 243953.
Comment 17 Mike Hughes 2007-07-21 14:15:20 EDT
The new kernel package, 2.6.22.1-27, appears to fix this problem, at least for
the nForce2 chip set.
Comment 18 NILMONI DEB 2007-07-27 13:22:08 EDT
(In reply to comment #17)
> The new kernel package, 2.6.22.1-27, appears to fix this problem, at least 
for
> the nForce2 chip set.
> 

According to bug 249282 the problem is still there.
Comment 19 Mike Hughes 2007-07-27 14:32:44 EDT
I think that multiple problems are being reported as "won't automount". The
person who started this particular bug report was reporting the "device
descriptor read/64, error -71" and "device not accepting address ??" errors
which appear in the "/var/log/messages" file.  This appears to occur only with
the 2.6.21 kernel on certain hardware, notably the nVidia nForce2 integrated
chip set but apparently on some others as well.  This does not occur if you
install the 2.6.20 kernel from FC6 and it no longer occurs with the 2.6.22
kernel which is just out as an update. At any rate, all of my USB2 mass storage
devices are now assigned addresses and automount normally with this new kernel.
There could still be problems with chip sets other than nForce2. There are other
things which may prevent automount from working even if a device address is
being assigned.
Comment 20 NILMONI DEB 2007-07-28 13:11:15 EDT
(In reply to comment #19)
> I think that multiple problems are being reported as "won't automount". The
> person who started this particular bug report was reporting the "device
> descriptor read/64, error -71" and "device not accepting address ??" errors
> which appear in the "/var/log/messages" file.  This appears to occur only 
with
> the 2.6.21 kernel on certain hardware, notably the nVidia nForce2 integrated
> chip set but apparently on some others as well.  This does not occur if you
> install the 2.6.20 kernel from FC6 and it no longer occurs with the 2.6.22
> kernel which is just out as an update. 

Actually, I am using 2.6.22.1-33.fc7 and "dmesg" shows these messages ->

usb 1-2: device not accepting address 2, error -71

on my laptop (ICH7 chipset).
Comment 21 Mike Hughes 2007-07-28 16:54:04 EDT
(In reply to comment #20)
> usb 1-2: device not accepting address 2, error -71
> 
> on my laptop (ICH7 chipset).

Looks like the fix is not in for all hardware.  I have two pen drives, two
external hard drives and a music player with a UMS interface.  All now work fine
on the nForce2 system, whether plugged in during the boot or connected after the
system is running. None could be made to work with the 2.6.21 kernel.
Comment 22 Oliver Cole 2007-08-01 13:02:37 EDT
(In reply to comment #19)
> I think that multiple problems are being reported as "won't automount".

Yeah - My problem is purely that USB thumb drives aren't being automounted by
hald - although memory cards inserted into my USB reader are.

Is this the right bug to "me too" on? There's a thread full of other people with
this issue on fedoraforum.org.
Comment 23 Mike Hughes 2007-08-01 15:35:07 EDT
(In reply to comment #22)
> Yeah - My problem is purely that USB thumb drives aren't being automounted by
> hald - although memory cards inserted into my USB reader are.

There is a "Component" field in the bug definition which indicates what part of
the system is thought to be involved.  Someone probably guessed at this, of course.

Plug in your device, wait a few seconds and execute "tail /var/log/messages" (as
root).  You should see something like:

Aug  1 14:50:35 localhost kernel: sd 2:0:0:0: [sdb] Attached SCSI disk

Followed by something like:

Aug  1 14:50:37 localhost hald: mounted /dev/sdb2 on behalf of uid 500

If you do not see the first one, you probably have a hardware/kernel issue.  If
it is the second which does not occur, you need to look for bug reports related
to HAL/hald.  If you have error messages which are not being reported elsewhere,
you may need to file your own report.
Comment 24 Ronny Fischer 2007-09-13 05:20:04 EDT
The latest Fedora 7 kernels (build 65 and 76) are affected in a similar way 
when a wireless USB adapter is used.

At boot time an error is reported, like

usb 2-2: device descriptor read/64, error -71

and the device isn't corecctly recognized. The connection to any access point 
fails.

Hardware used in this case is a Intel ICH-5 based mainboard with a USB wireless 
adapter and ndiswrapper driver. There are different people I know who have the 
same issue since upgrading to one of the mentioned kernel versions.

Comment 25 Ronny Fischer 2007-09-29 11:34:54 EDT
The issue still exists in Kernel 2.6.22 build 85 and 91.

FYI:

Hardware is being recognized corrctly by the system, iwconfig shows an 
established connection for the WLAN USB adapter but the connection fails when 
trying to connect to the internet.

Workaround for that is to stop the service network and restart it. Then the 
device is newly recognized and works the right way.

I hope you will fix this issue soon.

Comment 26 Ronny Fischer 2007-12-08 17:37:15 EST
Does anyone work on this issue atm?

Meanwhile we got kernel 2.6.23.8-34 in Fedora 7 and this error is still 
existent.

##############################
[kaonashi@Oblivion ~]$ uname -a
Linux Oblivion 2.6.23.8-34.fc7 #1 SMP Thu Nov 22 23:05:33 EST 2007 i686 i686 
i386 GNU/Linux
[kaonashi@Oblivion ~]$ dmesg | grep error
usb 2-2: device not accepting address 2, error -71
##############################

In this case the device which makes this error is just a simple USB mouse on a 
laptop. I'm wondering if it's the intention of Fedora to make working things 
don't work in newer versions.
Comment 27 Ralf Corsepius 2007-12-13 07:22:40 EST
Bug still present of F8:

# uname -a
Linux beck 2.6.23.8-63.fc8 #1 SMP Wed Nov 21 17:56:40 EST 2007 x86_64 x86_64
x86_64 GNU/Linux

# cat /var/log/dmesg  | grep 'usb 6-1'
usb 6-1: new full speed USB device using uhci_hcd and address 2
usb 6-1: device descriptor read/64, error -71
usb 6-1: device descriptor read/64, error -71
usb 6-1: new full speed USB device using uhci_hcd and address 3
usb 6-1: device descriptor read/64, error -71
usb 6-1: device descriptor read/64, error -71
usb 6-1: new full speed USB device using uhci_hcd and address 4
usb 6-1: device not accepting address 4, error -71
usb 6-1: new full speed USB device using uhci_hcd and address 5
usb 6-1: device not accepting address 5, error -71
Comment 28 Andrea V. 2007-12-17 17:35:27 EST
Bug still present in F8:

# uname -a
Linux localhost.localdomain 2.6.23.8-63.fc8 #1 SMP Wed Nov 21 18:51:08 EST 2007
i686 i686 i386 GNU/Linux

Can't mount an external USB hard drive. I upgraded F7 to F8, in F7 it was ok but
I had the same problem on FC6.
Comment 29 Andrea V. 2007-12-17 18:14:44 EST
Sorry, I did a mistake...

The last time I had a very similar problem it was after the upgrade from FC6 to
F7, that problem was because of some faulty kernel option set (or unset i don't
remember). Then someone fixed the faulty options and it worked ok until I
finally upgraded my system to F8.

$ dmesg | tail
sd 5:0:0:0: [sdc] Mode Sense: 27 00 00 00
sd 5:0:0:0: [sdc] Assuming drive cache: write through
sd 5:0:0:0: [sdc] 625142448 512-byte hardware sectors (320073 MB)
sd 5:0:0:0: [sdc] Write Protect is off
sd 5:0:0:0: [sdc] Mode Sense: 27 00 00 00
sd 5:0:0:0: [sdc] Assuming drive cache: write through
 sdc: sdc1
sd 5:0:0:0: [sdc] Attached SCSI disk
sd 5:0:0:0: Attached scsi generic sg4 type 0
VFS: Can't find ext3 filesystem on dev sdc1.
Comment 30 Chuck Ebbert 2007-12-17 18:48:51 EST
(In reply to comment #29)
> Sorry, I did a mistake...
> 
> The last time I had a very similar problem it was after the upgrade from FC6 to
> F7, that problem was because of some faulty kernel option set (or unset i don't
> remember). Then someone fixed the faulty options and it worked ok until I
> finally upgraded my system to F8.
> 

Try adding 

  usbcore.autosuspend=-1

to the kernel options.
Comment 31 Andrea V. 2007-12-19 10:54:53 EST
The

usbcore.autosuspend=-1

didn't solved the problem on my system, anyway after digging on many forums on
the web I've been able to fix the problem:

I had an external USB drive with LVM filesystem. After upgrading from F7 to F8
it seemed that F8 couldn't read the LVM partition. I had to change the LVM
volume group name to allow F8 to mount the filesystem. I used the following
commands:

# vgscan
# vgchange -a y [volume_group_name]
Comment 32 Paul Johnson 2007-12-19 23:46:05 EST
On my Dell Latitude D820, the usb flash devices were recognized and mounted
until I installed the kernel 2.6.23.8-63.fc8.  Devices won't mount,
/var/log/messages looks like:



Dec 18 16:39:56 pols126 kernel: Initializing USB Mass Storage driver...
Dec 18 16:39:56 pols126 kernel: usbcore: registered new interface driver usb-storage
Dec 18 16:39:56 pols126 kernel: USB Mass Storage support registered.
Dec 18 16:39:57 pols126 kernel: usb 3-2: new full speed USB device using
uhci_hcd and address 4
Dec 18 16:39:57 pols126 kernel: usb 3-2: device descriptor read/64, error -71
Dec 18 16:39:57 pols126 kernel: usb 3-2: device descriptor read/64, error -71
Dec 18 16:39:57 pols126 kernel: usb 3-2: new full speed USB device using
uhci_hcd and address 5
Dec 18 16:39:57 pols126 kernel: usb 3-2: device descriptor read/64, error -71
Dec 18 16:39:58 pols126 kernel: usb 3-2: device descriptor read/64, error -71
Dec 18 16:39:58 pols126 kernel: usb 3-2: new full speed USB device using
uhci_hcd and address 6
Dec 18 16:39:58 pols126 kernel: usb 3-2: device not accepting address 6, error -71
Dec 18 16:39:58 pols126 kernel: usb 3-2: new full speed USB device using
uhci_hcd and address 7
Dec 18 16:39:59 pols126 kernel: usb 3-2: device not accepting address 7, error -71


The only other change I can find in /var/log/yum was an update in kdebase and
the installation of kpowersave.  I doubt that those are causing the trouble
because I logged out, changed the session to Gnome, and in that session I still
could not use the USB devices.
Comment 33 Albert Bartok-Partay 2008-01-15 15:04:29 EST
Same problem here on IBM T40.

$ tail /var/log/messages
Jan 15 20:23:02 localhost kernel: usb 1-3: new high speed USB device using
ehci_hcd and address 48
Jan 15 20:23:02 localhost kernel: usb 1-3: new high speed USB device using
ehci_hcd and address 51
Jan 15 20:23:03 localhost kernel: usb 1-3: new high speed USB device using
ehci_hcd and address 54
Jan 15 20:23:07 localhost kernel: usb 1-3: new high speed USB device using
ehci_hcd and address 78
Jan 15 20:23:08 localhost kernel: usb 1-3: new high speed USB device using
ehci_hcd and address 83
Jan 15 20:23:08 localhost kernel: usb 1-3: new high speed USB device using
ehci_hcd and address 86
Jan 15 20:23:10 localhost kernel: usb 1-3: new high speed USB device using
ehci_hcd and address 96

the
$ modprobe -r ehci_hcd
temporary measure solves the problem.

Comment 34 Christopher Brown 2008-02-03 16:59:57 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am re-assigning this bug to the USB maintainer who may be able to offer some
insight into the issue. Also changing subject to reflect you see this in F8.
Comment 35 Pete Zaitcev 2008-02-13 21:58:04 EST
(In reply to comment #32)
> On my Dell Latitude D820, the usb flash devices were recognized and mounted
> until I installed the kernel 2.6.23.8-63.fc8.  Devices won't mount,
> Dec 18 16:39:57 pols126 kernel: usb 3-2: new full speed USB device using
> uhci_hcd and address 4
> Dec 18 16:39:57 pols126 kernel: usb 3-2: device descriptor read/64, error -71

Paul, please attach an unedited dmesg output to the bug (but don't
drop it into the comments).
Comment 36 Chris 2008-02-22 00:15:25 EST
I am also having this problem in F8 with the latest updates.
Comment 37 Christopher Brown 2008-02-25 15:51:09 EST
(In reply to comment #36)
> I am also having this problem in F8 with the latest updates.

Could you also do as Pete has asked, namely:

dmesg > dmesg.out

and attach as type text/plain to this bug.
Comment 38 Bug Zapper 2008-11-26 02:16:51 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 39 Bug Zapper 2009-01-09 02:07:04 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.